Index: npl/java/jdk/j2sdk.csh
===================================================================
--- npl/java/jdk/j2sdk.csh	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ 	(revision )
@@ -1,4 +1,0 @@
-#!/bin/csh
-setenv JAVA_HOME /usr/lib/java
-setenv MANPATH ${MANPATH}:/usr/lib/java/man
-setenv PATH ${PATH}:/usr/lib/java/bin:/usr/lib/java/jre/bin
Index: npl/java/jdk/j2sdk.sh
===================================================================
--- npl/java/jdk/j2sdk.sh	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ 	(revision )
@@ -1,4 +1,0 @@
-#!/bin/sh
-export JAVA_HOME=/usr/lib/java
-export MANPATH="$MANPATH:/usr/lib/java/man"
-export PATH="$PATH:/usr/lib/java/bin:/usr/lib/java/jre/bin"
Index: npl/java/jdk/jdk.SlackBuild
===================================================================
--- npl/java/jdk/jdk.SlackBuild	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/java/jdk/jdk.SlackBuild	(revision edd71a228e71b47f104d99165454ed266fbddf1e)
@@ -8,45 +8,12 @@
 
 #Version of the sourcefiles
-VER=1.6.0_22
-
+VER=1.8.0_162
 ARCH=i386
 
-#run sun binary installer
-chmod +x *.bin
-./jdk-6u22-dlj-linux-i586.bin --accept-license --unpack || exit 1
+mkdir -p /tmp/pkg/usr/lib
 
-#zet op goede plek
-mkdir -p /tmp/pkg/usr/lib 
-mv jdk$VER /tmp/pkg/usr/lib/jdk || exit 1
-ln -s jdk /tmp/pkg/usr/lib/java || exit 1
+tar -xvzf jdk-8u162-linux-i586.tar.gz
+mv jdk1.8.0_162 /tmp/pkg/usr/lib/java || exit 1
 
-#strip zooi die we niet nodig zijn, of waar we geen dependencys voor hebben/willen:
-rm -r /tmp/pkg/usr/lib/jdk/db
-rm -r /tmp/pkg/usr/lib/jdk/demo
-rm -r /tmp/pkg/usr/lib/jdk/sample
-rm -r /tmp/pkg/usr/lib/jdk/jre/plugin
-rm /tmp/pkg/usr/lib/java/jre/lib/i386/libjawt.so
-rm /tmp/pkg/usr/lib/java/jre/lib/i386/libJdbcOdbc.so
-rm -r /tmp/pkg/usr/lib/java/jre/lib/i386/motif21/
-rm -r /tmp/pkg/usr/lib/java/jre/lib/i386/xawt/
-rm -r /tmp/pkg/usr/lib/java/jre/lib/i386/libjavaplugin_nscp_gcc29.so
-rm -r /tmp/pkg/usr/lib/java/jre/lib/i386/libjavaplugin_nscp.so
-rm -r /tmp/pkg/usr/lib/java/jre/lib/i386/libjavaplugin_jni.so
-rm -r /tmp/pkg/usr/lib/java/jre/lib/i386/libsplashscreen.so
-rm -r /tmp/pkg/usr/lib/java/jre/lib/i386/libjsoundalsa.so
-rm /tmp/pkg/usr/lib/java/src.zip 
-
-#postinstaller
-mkdir -p /tmp/pkg/etc/postinst.d
-cp post.jdk /tmp/pkg/etc/postinst.d
-chmod +x /tmp/pkg/etc/postinst.d/post.jdk || exit 1
-
-#profile
-mkdir -p /tmp/pkg/etc/profile.d
-cp j2sdk.csh j2sdk.sh /tmp/pkg/etc/profile.d
-chmod +x /tmp/pkg/etc/profile.d/*
-
-#strip bins and other stuff
-syn3_strip /tmp/pkg || exit 1
 
 #move development stuff and create seperate development package
Index: npl/java/jdk/jdk.build
===================================================================
--- npl/java/jdk/jdk.build	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/java/jdk/jdk.build	(revision edd71a228e71b47f104d99165454ed266fbddf1e)
@@ -1,1 +1,1 @@
-5578
+1
Index: npl/java/jdk/jdk.md5
===================================================================
--- npl/java/jdk/jdk.md5	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/java/jdk/jdk.md5	(revision edd71a228e71b47f104d99165454ed266fbddf1e)
@@ -1,8 +1,5 @@
-286f49c487547fe18b4ef52d665fc05b  ./j2sdk.csh
-9fa40e9fef6b330858a470db14b78ddd  ./j2sdk.sh
-2204fea1b2593f3cc196a0a92b80b18f  ./jdk-6u22-dlj-linux-i586.bin
-58188b11f1b80ee726822ce91f034ce5  ./jdk.SlackBuild
-ba60f554c0f45af16fe1a56afd22d65e  ./jdk.SlackBuild.log.gz
-59697c7bb957d0523b32399b63b9e6cc  ./jdk.pkg
-a3b9f29c315d98400d3e6687067a0890  ./jdk_dev.pkg
-4675158324690c1a3e2422cad237cd82  ./post.jdk
+94e3be6c990e2866b87fb1b71bca6428  ./jdk-8u162-linux-i586.tar.gz
+d4626901df814356684ad51208096dc0  ./jdk_dev.pkg
+0f62a5e503bc797756a7d87ccf675e42  ./jdk.pkg
+e110a49321b7e89a470cd983dc1eb029  ./jdk.SlackBuild
+1c422f4c4fc6c2532e5afeea53d0ce3c  ./jdk.SlackBuild.log.gz
Index: npl/java/jdk/jdk.version
===================================================================
--- npl/java/jdk/jdk.version	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/java/jdk/jdk.version	(revision edd71a228e71b47f104d99165454ed266fbddf1e)
@@ -1,1 +1,1 @@
-1.6.0_22
+1.8.0_162
Index: npl/java/jdk/jdk_dev.build
===================================================================
--- npl/java/jdk/jdk_dev.build	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/java/jdk/jdk_dev.build	(revision edd71a228e71b47f104d99165454ed266fbddf1e)
@@ -1,1 +1,1 @@
-5578
+1
Index: npl/java/jdk/jdk_dev.version
===================================================================
--- npl/java/jdk/jdk_dev.version	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/java/jdk/jdk_dev.version	(revision edd71a228e71b47f104d99165454ed266fbddf1e)
@@ -1,1 +1,1 @@
-1.6.0_22
+1.8.0_162
Index: npl/java/jdk/post.jdk
===================================================================
--- npl/java/jdk/post.jdk	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ 	(revision )
@@ -1,9 +1,0 @@
-#!/bin/bash
-
-#clean up old java version (if its still here)
-removepkg /var/log/packages/j2sdk*
-
-#restart all java stuff
-killall java
-
-exit 0
